=== debian/changelog ===
xfsprogs (6.1.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 23 Dec 2022 12:00:00 +0100
