## xfsprogs 6.3.0

=== debian/changelog ===
xfsprogs (6.3.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2025656). Remaining changes:
    - Enable CET on amd64.

 -- Dave Jones <dave.jones@canonical.com>  Mon, 03 Jul 2023 15:10:12 +0100

xfsprogs (6.3.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 22 May 2023 11:45:00 -0400

xfsprogs (6.2.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Mar 2023 10:30:00 -0400

xfsprogs (6.1.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 13 Jan 2023 19:03:00 +0100

xfsprogs (6.1.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2008066). Remaining changes:
    - Enable CET on amd64.
    Dropped changes, applied in Debian:
    - Drop trying to create upstream distribution

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 22 Feb 2023 11:16:59 +0100

xfsprogs (6.0.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 23 Dec 2022 12:00:00 +0100

xfsprogs (6.0.0-1ubuntu2) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 11:14:03 -0500
