## xfsprogs 6.5.0

=== debian/changelog ===
xfsprogs (6.5.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:08:21 +0100

xfsprogs (6.5.0-1ubuntu1) noble; urgency=medium

  * debian/patches/revert-mkfs-enable-large-extent-counts-by-default.patch:
    Revert large extent counts feature for noble (LP: #2044623)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 28 Nov 2023 18:27:22 +0100

xfsprogs (6.5.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 12 Oct 2023 14:00:00 +0200

xfsprogs (6.4.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 19 Jul 2023 14:00:00 -0400
