=== debian/rules ===
--- 
+++ 
@@ -35,13 +35,6 @@
 	--disable-addrsan \
 	--disable-threadsan \
 	--enable-lto
-
-ifeq ($(target),amd64)
-export DEB_CFLAGS_MAINT_APPEND=-fcf-protection
-export DEB_LDFLAGS_MAINT_APPEND=-fcf-protection
-endif
-include /usr/share/dpkg/default.mk
-
 
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
 	  INSTALL_USER=root INSTALL_GROUP=root LDFLAGS='$(LDFLAGS)' \
