=== debian/changelog ===
xfsprogs (6.6.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:31:55 +0000

xfsprogs (6.6.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/revert-mkfs-enable-large-extent-counts-by-default.patch:
      Revert large extent counts feature for noble (LP: #2044623)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 26 Feb 2024 17:37:17 +0100

xfsprogs (6.6.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 05 Feb 2024 14:00:00 +0100
