## xfsprogs 6.8.0

=== debian/changelog ===
xfsprogs (6.8.0-2.2ubuntu1.1) oracular; urgency=medium

  * Backport from upstream:
    - fix fsck.xfs run by different shells when fsck.mode=force is set
      (LP: #2081163).

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Oct 2024 07:48:37 +0000

xfsprogs (6.8.0-2.2ubuntu1) oracular; urgency=medium

  * d/rules: modernize build script (LP: #2076309)
    - Use autoreconf template, this will now properly installs the
      translation files
    - Use $(CURDIR) to replace `pwd` syntax
  * d/control: add systemd-dev to B-D

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 07 Aug 2024 22:59:44 -0600

xfsprogs (6.8.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix installation of files into xfslibs-dev (Closes: #1073831)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Jun 2024 23:33:58 +0200

xfsprogs (6.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files into UsrMerged layout. (Closes: #1060352)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 17:50:50 +0200

xfsprogs (6.8.0-2) unstable; urgency=medium

  * Fix build on mips64el

 -- Bastian Germann <bage@debian.org>  Wed, 22 May 2024 22:44:14 +0000

xfsprogs (6.8.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 17 May 2024 14:00:00 +0100

xfsprogs (6.7.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Apr 2024 14:00:00 +0100
