## xfsprogs 6.10.1

=== debian/changelog ===
xfsprogs (6.10.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 04 Sep 2024 14:00:00 +0100

xfsprogs (6.10.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Aug 2024 14:00:00 +0100

xfsprogs (6.9.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 22 Jul 2024 14:00:00 +0100
